## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbLazyAttributeWithExtra

    java.lang.Object
      java.lang.Enum<JaxbLazyAttributeWithExtra>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbLazyAttributeWithExtra

All Implemented Interfaces:
  Serializable, Comparable<JaxbLazyAttributeWithExtra>

    public enum JaxbLazyAttributeWithExtra

extends Enum<JaxbLazyAttributeWithExtra>

Java class for lazy-attribute-with-extra.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="lazy-attribute-with-extra">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="extra"/>
         <enumeration value="false"/>
         <enumeration value="true"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`EXTRA`
`FALSE`
`TRUE`

Method Summary
`static JaxbLazyAttributeWithExtra` `fromValue(String v)`
`String` `value()`
`static JaxbLazyAttributeWithExtra` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbLazyAttributeWithExtra[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXTRA

    public static final JaxbLazyAttributeWithExtra EXTRA

### FALSE

    public static final JaxbLazyAttributeWithExtra FALSE

### TRUE

    public static final JaxbLazyAttributeWithExtra TRUE

Method Detail

### values

    public static JaxbLazyAttributeWithExtra[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbLazyAttributeWithExtra c : JaxbLazyAttributeWithExtra.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbLazyAttributeWithExtra valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbLazyAttributeWithExtra fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.